PrimitiveBERTag (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.framework.tlv
Class PrimitiveBERTag

    java.lang.Object
      javacardx.framework.tlv.BERTag
          javacardx.framework.tlv.PrimitiveBERTag

    @TransactionType(value=SUPPORTS)
    public final class PrimitiveBERTag

extends BERTag

The `PrimitiveBERTag` class encapsulates a primitive BER TLV tag. The rules on the allowed encoding of the Tag field is based on the ASN.1 BER encoding rules of ISO/IEC 8825-1:2002.

The BERTag class and the subclasses `ConstructedBERTag` and `PrimitiveBERTag`, also provide static methods to parse or edit a BER Tag structure representation in a byte array.

Since:
  2.2.2

Field Summary

Fields inherited from class javacardx.framework.tlv.BERTag
`BER_TAG_CLASS_MASK_APPLICATION, BER_TAG_CLASS_MASK_CONTEXT_SPECIFIC, BER_TAG_CLASS_MASK_PRIVATE, BER_TAG_CLASS_MASK_UNIVERSAL, BER_TAG_TYPE_CONSTRUCTED, BER_TAG_TYPE_PRIMITIVE`

Constructor Summary
`PrimitiveBERTag()` Constructor creates an empty `PrimitiveBERTag` object capable of encapsulating a primitive BER TLV Tag.

Method Summary
`void` | `init(byte[] bArray, short bOff)` (Re-)Initialize `this` `PrimitiveBERTLV` Tag object from the binary representation in the byte array.
`void` | `init(byte tagClass, short tagNumber)` (Re-)Initialize `this` `PrimitiveBERTag` object with the specified tag class, and tag number.

Methods inherited from class javacardx.framework.tlv.BERTag
`equals, getInstance, isConstructed, isConstructed, size, size, tagClass, tagClass, tagNumber, tagNumber, toBytes, toBytes, verifyFormat`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveBERTag

    public PrimitiveBERTag()

  Constructor creates an empty `PrimitiveBERTag` object capable of encapsulating a primitive BER TLV Tag. All implementations must support at least 3 byte Tags which can encode tag numbers up to 0x3FFF.

Method Detail

### init

    public void init(byte tagClass,
                     short tagNumber)
              throws TLVException

  (Re-)Initialize `this` `PrimitiveBERTag` object with the specified tag class, and tag number. All implementations must support tag numbers up to 0x3FFF.

  Parameters:
    `tagClass` - encodes the tag class. Valid codes listed in `BERTAG_CLASS_*` constants.
    `tagNumber` - is the tag number.
  Throws:
    `TLVException` - with the following reason codes:
    - `TLVException.ILLEGAL_SIZE` if the tag number requested is larger than the supported maximum size
    - `TLVException.INVALID_PARAM` if tag class parameter is invalid or if the tag number parameter is negative.
  See Also:
    `BERTag`

### init

    public void init(byte[] bArray,
                     short bOff)
              throws TLVException

  (Re-)Initialize `this` `PrimitiveBERTLV` Tag object from the binary representation in the byte array. All implementations must support tag numbers up to 0x3FFF.

  Specified by:
    `init` in class `BERTag`
  Parameters:
    `bArray` - the byte array containing the binary representation
    `bOff` - the offset within bArray where the tag binary value begins
  Throws:
    `ArrayIndexOutOfBoundsException` - if accessing the input array would cause access of data outside array bounds, or if the array offset parameter is negative
    `NullPointerException` - if `bArray` is `null`
    `TLVException` - with the following reason codes:
    - `TLVException.ILLEGAL_SIZE` if the tag number is larger than the supported maximum size
    - `TLVException.MALFORMED_TAG` if tag representation in the byte array is malformed or is a constructed array tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.